users commenting on a bug they are not subscribed to may be confused that they are not told of follow-up comments

Bug #414401 reported by Micah Gersten on 2009-08-16
44
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned

Bug Description

Symptoms
========

When a user comments on a bug they are not subscribed to, they won't be notified of replies made to that bug. This can be confusing/frustrating.

Analysis
========

We certainly don't want to send mail to folk that don't want mail, and because we don't thread bug discussions we can't [in the current design] infer a reply to a specific user.

Possible solutions
==================

* Subscribe commenters who would not receive follow up mail [and tell them so they can unsubscribe]
* Have a checkbox ([ ]subscribe to this bug) beside the comment button for folk that who would not receive follow up mail.

Given that unsubscribing is so easy, I think the best thing to do is to always subscribe you when you post a comment, leaving it for you to unsubscribe if you prefer not to receive email. In almost all cases, if you comment on a bug, you should stay involved in the discussion in the future.

What do you think?

summary: - [Wishlist] Add a comment and subscribe button
+ Add a comment and subscribe button
tags: added: ui

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Nah, some people are already subscribed to bugmail with filters.

Tom Berger wrote:
> Given that unsubscribing is so easy, I think the best thing to do is to
> always subscribe you when you post a comment, leaving it for you to
> unsubscribe if you prefer not to receive email. In almost all cases, if
> you comment on a bug, you should stay involved in the discussion in the
> future.
>
> What do you think?
>
> ** Summary changed:- [Wishlist] Add a comment and subscribe button
> + Add a comment and subscribe button
>
> ** Tags added: ui
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqIQFMACgkQTniv4aqX/VlU1QCeOMB4Y3GRBLSVyJ2oDhfcwb50
ev0Ani2L3eZAtDElxCl9q3P+cwG4OtLE
=wGQo
-----END PGP SIGNATURE-----

I don't quite understand why that could be a problem. If a user is already subscribed to bug mail then definitely subscribing them to the bug directly will not do any harm - they won't be receiving more mail than they would have otherwise.

Download full text (5.3 KiB)

(18:35:22) intellectronica: micahg: so, why do you think subscribing people automatically can be a problem? I think that it's quite rare for someone to comment on a bug and not want (or need) to stay in the discussion
(18:35:51) micahg: well, because the person might already be subscribed to bug mail for that project/package
(18:36:16) intellectronica: micahg: so? in that case nothing special will happen. they will still receive mail
(18:36:30) micahg: yes, but the headers and reasons why they are subscribed will change
(18:36:41) intellectronica: we just have to make sure that the headers reflect that. i'm pretty sure they already do
(18:37:05) micahg: yes, but the user might not want that
(18:37:19) micahg: user might already have filters set up
(18:37:39) intellectronica: micahg: if they do change, then i think it's something we should fix. if you're subscribed to bug mail for a project, that should take precedence over a header for subscribing to an individual bug
(18:38:17) micahg: no
(18:38:22) intellectronica: ?
(18:38:23) micahg: I think the current behavior is fine
(18:38:25) micahg: and proper
(18:38:48) micahg: I use individual bug subscription to show that I'm active in the bug
(18:39:00) micahg: but my comment might not mean I'm active necessarily
(18:39:11) micahg: what's wrong with 2 buttons?
(18:39:35) intellectronica: micahg: too complicated. not very user friendly
(18:39:43) ***micahg liked the checkbox with submit
(18:40:16) intellectronica: also, i have a bit of a problem with people commenting without subscribing. i think that it's extremely rare for someone to want to comment but not be aware of future discussion
(18:41:11) micahg: yes, but if a person is getting thousands of e-mails a day and only NEEDS to see comments on a few, and the filters are set up to do that, this would trash their system
(18:41:13) intellectronica: micahg: well, what i'm suggesting is quite similar, behaviour-wise, to what we had before. by default you subscribe to the bug, but if you don't want that, unsubscribing is one additional click
(18:41:21) micahg: i.e. team leads in Ubuntu
(18:41:53) micahg: intellectronica: you'd be adversely affect people that already don't have time for the extra click
(18:42:40) intellectronica: micahg: but that's just like it used to be. people who wouldn't have time for an extra click wouldn't have had time for an extra click when it was a checkbox
(18:42:57) micahg: exactly
(18:43:01) micahg: and they didn't want it checked
(18:43:17) intellectronica: also, it's better to incovenience a few users than to inconvenience most users
(18:43:25) micahg: it's not the same to click while on the way down to submit, then to wait for the postback and click
(18:43:42) micahg: intellectronica: you're talking about inconveniencing the heaviest users of LP
(18:43:43) intellectronica: micahg: but it was checked by default. they would have had to make an extra click to not get subscribed
(18:44:28) intellectronica: micahg: yes, that's definitely something to take into consideration. also, because i don't use filtering by headers (i use gmail) it's sometimes hard for me to get a feel for how people use them
(18:44:56) ***micahg ...

Read more...

summary: - Add a comment and subscribe button
+ Automatically subscribe users to bug mail when they post a comment
description: updated
Changed in malone:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 2.2.8
Deryck Hodge (deryck) on 2009-08-28
Changed in malone:
milestone: 2.2.8 → none

After the recent update to launchpad , there is an increasing trend of users are not subscribing to bugs ...
I believe, it is more because , there is no "subscribe to bug" checkbox near the comment section as was earlier...
Shouldnt we alteast subscribe the users [who are commenting] by default? or altleast bring back the checkbox for the time being?

Or is there any reason this is being blocked?

Deryck Hodge (deryck) on 2009-11-03
tags: added: bug-page
Deryck Hodge (deryck) wrote :

@mac_v I missed your new comment earlier, sorry.

There is nothing blocking this change. The plan is to subscribe automatically, as the bug here notes. We just haven't gotten the work scheduled yet.

Vish (vish) wrote :

Brought up this bug again today on #launchpad, and was it pointed out that with new ajaxy implementation just using a checkbox isnt possible.

So, Instead of messy checboxes. We could just add an extra button "Comment and Subscribe" , which would subscribe the commenter too.

So we'd have below the comment box two buttons

            "Just add a Comment" "Comment and Subscribe"
[the 'just add a comment' wording is used in the answers section too]
or
            "Post Comment Only" "Comment and Subscribe"

Could this bug be fixed so?

******
Copy-Pasting a conversation we had today on #launchpad:
----------------
 <persia> vish, I'm not convinced that bug can be "fixed" in any easy way. What is the issue with folks commenting and not subscribing again? Bugs aren't a good place for random conversation, but rather for detailed investigation of issues, so identities oughtn't matter, and there are bundles of folk who find subscription not to be a useful way of tracking a bug.
 <vish> persia: sure its not for conversation.. but when we ask info, they aernt subscribed .. so either i have to comment again or hope they look at it when i subscribe them..
 <persia> Yeah, but of whom are you asking information? Folks who are actively working on a bug are likely subscribed or otherwise following the bug. Reporters are always subscribed.
 <persia> If random people post random issues in a bug and don't follow it, it may be better that they file a new bug.
 <vish> persia: bugzilla does this pretty well.. it usually has the mail id in the box , we can uncheck it if we dont want to subscribe
 <vish> so the unsubscribe is intentional.. and easier..
 <persia> I think the default should be the other way (as it was in LP), but more interestingly, how does one implement that with the new ajaxy implementation? I think it's non-trivial from a human interaction perspective.
 <G> vish: persia: surely the best way is: Above the comment box, add a checkbox that says "Subscribe me for follow up e-mails regarding this bug"
 <persia> I suppose, but that means having two controls that do the same thing on the page. Plus it's messy to use checkboxes for ajax calls.
 <vish> persia: we could have two buttons "Comment and Subscribe" "Post Comment Only"
 <persia> vish, I like that. Easy enough to implement. Not terribly confusing. Doesn't require more pixels. Please tell the bug :)

Matthew Paul Thomas (mpt) wrote :

There's nothing in that conversation that explains why it "isn't possible", why it's "non-trivial", or why it's "messy", to have a checkbox. If the checkbox was obviously part of the same form as the comment field and the button, it would be obvious that it applied only if you clicked the button, just like the comment field does.

We could even pop up a dialog when you click on the button saying
'you are not subscribed and will not be notified of changes.
[subscribe to this bug] [Do not subscribe] [Do not subscribe and do
not ask this question again]
'

-no?

-Rob

mpt, I dint get into details as to *why* it is not possible with ajax and that paste is not the entire conversation, just the part which seemed relevant to me. :-)
For full log.. : <http://irclogs.ubuntu.com/2010/09/09/%23launchpad.html#t12:31>

Anyway.. fixing this bug as soon as possible would be great rather than having people hit-n-run bugs! ;-)
When asked why they dint subscribe, they are really surprised that they werent subscribed automatically.
Getting automatically subscribed seems a *basic* expected behavior from a commenter's perspective.

Vish (vish) wrote :

@lifeless, it would probably be better the other way around.. Subscribing automatically , and poping up a "You are now subscribed to the bug" and then allowing the person to unsubscribe.

Anyway.. a two button approach i mention doesnt seem a bad alternative.. commenter knows and subscribes as required, than forcing one setting on everybody..

Emmet Hikory (persia) wrote :

I just thought a checkbox would be less pretty with the new form, and two buttons more obvious: restoring the checkbox would certainly address all of my concerns related to this bug. My personal experience with checkboxes and AJAX has been mixed, but I'm not an expert, and defer to anyone more informed.

I'd prefer not to have popup: that seems intrusive to the workflow, as it requires attention (and may require attention in a way that interferes with a user being interrupted by another task when processing many bugs).

summary: - Automatically subscribe users to bug mail when they post a comment
+ users commenting on a bug they are not subscribed too may be confused
+ that they are not told of follow-up comments
description: updated
Changed in launchpad:
importance: Medium → Low

If we are going the checkbox route, I would like to suggest that the checkbox be checked, so that users would just comment and be subscribed.
ie. Not subscribing to a bug should be an active opt-out action, while the default is being subscribed to it while commenting.

summary: - users commenting on a bug they are not subscribed too may be confused
+ users commenting on a bug they are not subscribed to may be confused
that they are not told of follow-up comments

Meanwhile, or if nothing is done, one may want to fix the documentation : https://help.launchpad.net/Bugs/Subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers